# Changelog

## 2024-07-01 - 1.1.3 - fix(dees-dataview-codebox)
Adjusted codebox font weight and font family.

- Changed font weight from 200 to 400 for better readability.
- Updated font-family to include 'Geist Mono' for uniform appearance.

## 2024-06-30 - 1.1.2 - fix(elements)
Fix various UI components and improve styles

- Updated styles for multiple components for better appearance in dark mode.
- Added missing event handling in `dees-input-fileupload` component.
- Implemented tooltip support in `dees-label` component.
- Fixed alignment issues in `dees-appui-*` components.
- Resolved various accessibility issues in form elements.

## 2024-06-30 - 1.1.1 - fix(build)
Fix build script by updating source folders.

- Updated build script to correctly reference 'tsfolders' folder.

## 2024-06-30 - 1.1.0 - feat(project dependencies)
Updated various dependencies and internal fonts

- Updated dependencies in package.json with the latest versions.
- Updated font-family references from 'Roboto' and 'Inter' to 'Geist Sans' across multiple components.

## 2024-04-20 - 1.0.289 - Documentation Update
Updated the project documentation.

## 2024-02-05 to 2024-02-13 - 1.0.277 to 1.0.288 - Core Fixes 
Series of core updates and patches.

## 2024-01-22 to 2024-02-05 - 1.0.257 to 1.0.276 - Core Fixes
More core updates and patches.

## 2024-01-21 - 1.0.256 to 1.0.257 - Core Fixes
Minor bugfixes for core functionalities.

## 2024-01-18 - 1.0.246 - Core Fixes
Bugfixes for core functionalities.

## 2024-01-15 - 1.0.242 to 1.0.245 - Core Fixes
Various core bugfixes.

## 2024-01-11 - 1.0.241 to 1.0.242 - Core Fixes
Bugfixes for core functionalities.

## 2024-01-10 - 1.0.240 to 1.0.241 - Core Fixes
Minor core fixes and improvements.

## 2024-01-09 - 1.0.239 to 1.0.240 - Core Fixes
Core updates and patches.

## 2023-12-26 - 1.0.238 to 1.0.239 - Core Fixes
Updates to core functionalities.

## 2023-12-20 - 1.0.236 to 1.0.238 - Core Fixes
Bugfixes and updates for core functionalities.

## 2023-12-08 - 1.0.233 to 1.0.236 - Core Fixes
Multiple updates to core functionalities.

## 2023-11-29 - 1.0.231 to 1.0.232 - Core Fixes
Minor core patches.

## 2023-10-31 - 1.0.229 to 1.0.230 - Core Fixes
Various updates and fixes for core.

## 2023-10-24 - 1.0.228 to 1.0.229 - Core Fixes
More core updates and patches.

## 2023-10-23 - 1.0.226 to 1.0.228 - Core Fixes
Series of updates and fixes for core functionalities.

## 2023-10-20 - 1.0.223 to 1.0.225 - Core Fixes
Minor updates and fixes for core.

## 2023-10-18 - 1.0.222 to 1.0.223 - Core Fixes
Core patches and bugfixes.

## 2023-10-17 - 1.0.221 to 1.0.222 - Core Fixes
Further updates to core functionalities.

## 2023-10-12 - 1.0.220 to 1.0.221 - Core Fixes
Minor core updates.

## 2023-10-11 - 1.0.219 to 1.0.220 - Core Fixes
Bugfixes and updates for core.

## 2023-10-07 - 1.0.217 to 1.0.219 - Core Fixes
Series of core updates and patches.

## 2023-10-05 - 1.0.216 to 1.0.217 - Core Fixes
Minor updates for core functionalities.

## 2023-09-22 - 1.0.212 to 1.0.215 - Core Fixes
Various updates and fixes for core.

## 2023-09-20 - 1.0.210 to 1.0.211 - Core Fixes
Series of core patches.

## 2023-09-18 - 1.0.209 to 1.0.210 - Core Fixes
Bugfixes and improvements to core.

## 2023-09-17 - 1.0.207 to 1.0.209 - Core Fixes
Minor updates and fixes.

## 2023-09-15 - 1.0.203 to 1.0.206 - Core Fixes
Series of core improvements and fixes.

## 2023-09-14 - 1.0.199 to 1.0.202 - Core Fixes
Patches for core functionalities.

## 2023-09-13 - 1.0.194 to 1.0.198 - Core Fixes
Various bugfixes and updates for core.

## 2023-09-12 - 1.0.190 to 1.0.193 - Core Fixes
Minor core patches.

## 2023-09-09 - 1.0.188 to 1.0.189 - Core Fixes
Updates and bugfixes for core.

## 2023-09-07 - 1.0.186 to 1.0.187 - Core Fixes
Core patches and improvements.

## 2023-09-04 - 1.0.184 to 1.0.185 - Core Fixes
Series of updates and bugfixes for core.

## 2023-09-01 - 1.0.180 to 1.0.183 - Core Fixes
Various core updates and fixes.

## 2023-08-28 - 1.0.177 to 1.0.179 - Core Fixes
Minor bugfixes and updates.

## 2023-08-26 - 1.0.176 to 1.0.177 - Core Fixes
Bugfixes for core functionalities.

## 2023-08-20 - 1.0.173 to 1.0.175 - Core Fixes
Series of updates and fixes for core.

## 2023-08-08 - 1.0.172 to 1.0.173 - Core Fixes
Minor core updates.

## 2023-08-07 - 1.0.171 to 1.0.172 - Core Fixes
Various updates to core.

## 2023-04-12 - 1.0.169 to 1.0.170 - Core Fixes
Bugfixes for core functionalities.

## 2023-04-10 - 1.0.163 to 1.0.168 - Core Fixes
Series of core updates and patches.

## 2023-04-07 - 1.0.160 to 1.0.162 - Core Fixes
Various updates for core functionalities.

## 2023-04-06 - 1.0.155 to 1.0.159 - Core Fixes
Bugfixes and improvements to core.

## 2023-03-27 - 1.0.150 to 1.0.154 - Core Fixes
Minor updates and patches for core functionalities.

## 2023-03-09 - 1.0.149 to 1.0.150 - Core Fixes
Bugfixes for core functionalities.

## 2023-01-17 - 1.0.146 to 1.0.148 - Core Fixes
Updates and fixes for core.

## 2023-01-16 - 1.0.144 to 1.0.145 - Core Fixes
Series of updates and bugfixes for core.

## 2023-01-13 - 1.0.134 to 1.0.143 - Core Fixes
Various core patches and improvements.

## 2023-01-12 - 1.0.132 to 1.0.133 - Core Fixes
Minor fixes for core functionalities.

## 2023-01-11 - 1.0.126 to 1.0.131 - Core Fixes
Series of updates and fixes for core.

## 2023-01-09 - 1.0.122 to 1.0.123 - Core Fixes
Minor core patches and updates.

## 2023-01-07 - 1.0.113 to 1.0.121 - Core Fixes
Updates and bugfixes for core functionalities.

## 2023-01-03 - 1.0.107 to 1.0.110 - Core Fixes
Series of core updates and fixes.

## 2022-12-12 - 1.0.105 to 1.0.106 - Core Fixes
Various core patches.

## 2022-12-07 - 1.0.104 to 1.0.105 - Core Fixes
Bugfixes and improvements to core functionalities.

## 2022-12-06 - 1.0.103 to 1.0.104 - Core Fixes
Series of updates and patches for core.

## 2022-08-18 - 1.0.98 to 1.0.102 - Core Fixes
Updates and bugfixes for core functionalities.

## 2022-07-14 - 1.0.93 to 1.0.94 - Core Fixes
Minor core updates.

## 2022-06-26 - 1.0.92 to 1.0.93 - Core Fixes
Bugfixes for core functionalities.

## 2022-06-10 - 1.0.91 to 1.0.92 - Core Fixes
Updates and patches for core.

## 2022-05-30 - 1.0.90 to 1.0.91 - Core Fixes
Minor updates and bugfixes.

## 2022-05-26 - 1.0.87 to 1.0.89 - Core Fixes
Series of core updates and patches.

## 2022-05-24 to 2022-05-20 - 1.0.83 to 1.0.86 - Core Fixes
Various updates and bugfixes for core functionalities.

## 2022-05-03 - 1.0.79 to 1.0.80 - Core Fixes
Updates and patches for core functionalities.

## 2022-03-18 - 1.0.74 to 1.0.77 - Core Fixes
Bugfixes and updates for core functionalities.

## 2022-01-24 - 1.0.73 to 1.0.74 - Core Fixes
Minor core patches.

## 2021-12-10 - 1.0.71 to 1.0.72 - Core Fixes
Series of updates and fixes for core functionalities.

## 2021-11-27 - 1.0.70 to 1.0.71 - Core Fixes
Bugfixes and improvements to core.

## 2021-10-08 - 1.0.68 to 1.0.69 - Core Fixes
Various core updates and patches.

## 2021-10-07 - 1.0.67 to 1.0.68 - Core Fixes
Minor updates and improvements for core.

## 2021-09-15 - 1.0.64 to 1.0.66 - Core Fixes
Bugfixes and improvements to core functionalities.

## 2021-09-14 - 1.0.61 to 1.0.62 - Core Fixes
Minor patches and updates for core.

## 2021-09-10 - 1.0.57 to 1.0.60 - Core Fixes
Series of updates and fixes for core functionalities.

## 2021-09-09 - 1.0.54 to 1.0.56 - Core Fixes
Various core updates and patches.

## 2021-09-01 - 1.0.51 to 1.0.53 - Core Fixes
Minor updates for core functionalities.

## 2021-08-29 - 1.0.49 to 1.0.50 - Core Fixes
Bugfixes and patches for core.

## 2021-08-27 - 1.0.44 to 1.0.48 - Core Fixes
Series of updates and improvements for core functionalities.

## 2021-08-26 - 1.0.42 to 1.0.43 - Core Fixes
Minor updates and bugfixes for core.

## 2021-08-25 - 1.0.38 to 1.0.41 - Core Fixes
Extracted series of core updates and patches.

## 2021-08-24 - 1.0.37 - Core Fix
Bugfixes for core functionalities.

## 2021-08-20 - 1.0.34 to 1.0.36 - Core Fixes
Core functionalities updates and patches.

## 2021-05-05 - 1.0.32 to 1.0.33 - Core Fixes
Series of core bugfixes.

## 2021-03-06 - 1.0.29 to 1.0.31 - Core Fixes
Updates and improvements for core functionalities.

## 2021-02-13 - 1.0.27 to 1.0.28 - Core Fixes
Bugfixes and patches for core functionalities.

## 2020-12-10 - 1.0.25 to 1.0.26 - Core Fixes
Various core updates and improvements.

## 2020-12-02 - 1.0.23 to 1.0.24 - Core Fixes
Minor updates for core functionalities.

## 2020-12-01 - 1.0.21 to 1.0.22 - Core Fixes
Bugfixes and patches for core.

## 2020-09-13 - 1.0.19 to 1.0.20 - Core Fixes
Updates and bugfixes for core functionalities.

## 2020-05-11 - 1.0.17 to 1.0.18 - Core Fixes
Core functionalities updates.
